PICOTOOL-REBOOT(1)

NAME
picotool-reboot - Reboot the device

SYNOPSIS
picotool reboot [-a] [-u] [-g <partition>] [-c <cpu>] [device-selection]

OPTIONS
Reboot type

-a, --application
    Reboot back into the application (this is the default)

-u, --usb
    Reboot back into BOOTSEL mode

-g <partition>
    Select diagnostic partition

-c <cpu>
    Select arm | riscv CPU (if possible)

Selecting the device to reboot

--bus <bus>
    Filter devices by USB bus number

--address <addr>
    Filter devices by USB device address

--vid <vid>
    Filter by vendor id

--pid <pid>
    Filter by product id

--ser <ser>
    Filter by serial number

-f, --force
    Force a device not in BOOTSEL mode but running compatible code toreset so the command can be executed. After executing the command(unless the command itself is a `reboot') the device will berebooted back to application mode

-F, --force-no-reboot
    Force a device not in BOOTSEL mode but running compatible code toreset so the command can be executed. After executing the command(unless the command itself is a `reboot') the device will be leftconnected and accessible to picotool, but without the USB drivemounted